Totem can't play videos on Gallium graphics without mesa-va-drivers

Bug #1652466 reported by Amr Ibrahim on 2016-12-24
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Medium
Unassigned
libva (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned
totem (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Impact
-------
Totem can't play videos if gstreamer1.0-vaapi is installed on Gallium graphics in Xenial because mesa-va-drivers is not installed as a dependency of va-driver-all.

Here is the dependency chain in Xenial:
gstreamer1.0-vaapi Depends on libva1
libva1 Recommends va-driver-all
va-driver-all Depends on i965-va-driver vdpau-va-driver (no mesa-va-drivers)

This is fixed in version 1.7.0-2 in Debian and Yakkety.
libva (1.7.0-2) unstable; urgency=medium

  * debian/control:
    - Add mesa-va-drivers as alternative to Depends of va-driver-all.
    - Bump Standards-Versions.

 -- Sebastian Ramacher <email address hidden> Wed, 11 May 2016 17:32:06 +0200

Test case
----------
- Purge va-driver-all and mesa-va-drivers if already installed
- Install va-driver-all from xenial-proposed
- Make sure that mesa-va-drivers is pulled in
- Play videos in Totem with gstreamer1.0-vaapi installed and make sure that videos play nicely.

Here is the terminal output of Totem (with gstreamer1.0-vaapi installed and no mesa-va-drivers):
:~$ totem
Stream with high frequencies VQ coding
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/radeonsi_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/gallium_drv_video.so
libva info: va_openDriver() returns -1
libva info: VA-API version 0.39.0
libva info: va_getDriverName() returns 0

When mesa-va-drivers is installed, Totem plays videos just fine.

Regression potential
---------------------
Since there are no code changes at all, I cannot think of any regressions.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: va-driver-all 1.7.0-1
ProcVersionSignature: Ubuntu 4.4.0-57.78-generic 4.4.35
Uname: Linux 4.4.0-57-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Dec 24 21:54:20 2016
InstallationDate: Installed on 2016-04-26 (242 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: libva
UpgradeStatus: No upgrade log present (probably fresh install)

Amr Ibrahim (amribrahim1987) wrote :
Amr Ibrahim (amribrahim1987) wrote :

The thing is, before Xenial, the drivers were in vdpau-va-driver. In Xenial, they are in mesa.

vdpau-video (0.7.4-5) experimental; urgency=medium

  * Bump Standards-Version
  * debian/patches/mesa-drivers.patch: Removed. No longer ship drivers for
    r600, nouveau and radeonsi. mesa now has native drivers.

 -- Sebastian Ramacher <email address hidden> Wed, 06 Apr 2016 19:40:14 +0200

summary: - [Xenial] mesa-va-drivers should be as alternative to Depends of va-
- driver-all, otherwise, Totem can't play videos if gstreamer1.0-vaapi is
- installed on Gallium graphics
+ [Xenial] va-driver-all should depend on mesa-va-drivers, otherwise,
+ Totem can't play videos if gstreamer1.0-vaapi is installed on Gallium
+ graphics

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libva (Ubuntu):
status: New → Confirmed
summary: - [Xenial] va-driver-all should depend on mesa-va-drivers, otherwise,
- Totem can't play videos if gstreamer1.0-vaapi is installed on Gallium
- graphics
+ Totem can't play videos on Gallium graphics
Changed in libva (Ubuntu):
importance: Undecided → Medium
Changed in totem (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
status: Confirmed → Invalid
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → Medium
summary: - Totem can't play videos on Gallium graphics
+ Totem can't play videos on Gallium graphics without mesa-va-drivers
Amr Ibrahim (amribrahim1987) wrote :

Ping!

description: updated

The attachment "libva_1.7.0-1_1.7.0-2~ubuntu16.04.1~ppa1.diff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Simon Quigley (tsimonq2) wrote :

Uploaded to Xenial, it's in the Unapproved queue now.

Unsubscribing ~ubuntu-sponsors as there's nothing left to do. Feel free to resubscribe ~ubuntu-sponsors if this was done in error.

Thank you for your contribution to Ubuntu!

Hello Amr, or anyone else affected,

Accepted libva into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libva/1.7.0-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libva (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in libva (Ubuntu):
status: Confirmed → Invalid
Changed in totem (Ubuntu Xenial):
status: New → Invalid
Changed in hundredpapercuts:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers